Bug 1021782 - window move issue
window move issue
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
20
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 01:58 EDT by Martin Cermak
Modified: 2015-06-29 08:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1086235 (view as bug list)
Environment:
Last Closed: 2015-06-29 08:41:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (435.49 KB, image/png)
2013-10-22 01:58 EDT, Martin Cermak
no flags Details

  None (edit)
Description Martin Cermak 2013-10-22 01:58:13 EDT
Created attachment 814856 [details]
screenshot

With fvwm-2.6.5-6.fc20.x86_64 and xorg-x11-server-Xorg-1.14.3-4.fc20.x86_64 when a window is moved from location A to B, it is displayed in both A and B in the end. See attached screenshot.
Comment 1 Peter Lemenkov 2013-10-22 02:11:54 EDT
(In reply to Martin Cermak from comment #0)
> Created attachment 814856 [details]
> screenshot
> 
> With fvwm-2.6.5-6.fc20.x86_64 and xorg-x11-server-Xorg-1.14.3-4.fc20.x86_64
> when a window is moved from location A to B, it is displayed in both A and B
> in the end. See attached screenshot.

Can't reproduce. I'm using fvwm on a machine with Fedora 20 installed, and never saw this. Perhaps that's some kind of a "tearing" issue (more likely with a proprietary video drivers). I'm using fvwm on F-19 also and didn't see anything like that.

Of course some small tearing still exists due to shortcomings of a X11 achitecture but not that magnitude large.
Comment 2 Martin Cermak 2013-10-22 02:36:06 EDT
It's yesterday's fresh install, fedora only repos.
Comment 3 Martin Cermak 2013-10-22 02:39:24 EDT
07:00.0 VGA compatible controller: NVIDIA Corporation NV44 [Quadro NVS 285] (rev a1)
Comment 4 Peter Lemenkov 2013-10-22 02:51:06 EDT
(In reply to Martin Cermak from comment #3)
> 07:00.0 VGA compatible controller: NVIDIA Corporation NV44 [Quadro NVS 285]
> (rev a1)

Sounds like a driver-related issue then. Could you by any chance replace your card with one from Intel or AMD and retry?
Comment 5 Martin Cermak 2013-10-22 04:25:28 EDT
Worked around using xorg-x11-drv-nvidia-304xx packages.
Comment 6 Martin Cermak 2013-10-22 04:41:48 EDT
Reassigning to xorg-x11-drv-nouveau-1.0.9-2.fc20. Thanks, Peter.
Comment 7 Fedora End Of Life 2015-05-29 05:36:33 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:41:12 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.